package com.jjt.biz.service.impl;

import java.util.List;
import org.springframework.stereotype.Service;
import com.jjt.biz.mapper.TwinDeviceAllMapper;
import com.jjt.biz.domain.TwinDeviceAll;
import com.jjt.biz.service.ITwinDeviceAllService;
import javax.annotation.Resource;

/**
 * 全厂设备管理Service业务层处理
 *
 * @author wukai
 * @date 2025-03-06
 */
@Service
public class TwinDeviceAllServiceImpl implements ITwinDeviceAllService {
    @Resource
    private TwinDeviceAllMapper twinDeviceAllMapper;

    /**
     * 查询全厂设备管理
     *
     * @param deviceId 全厂设备管理主键
     * @return 全厂设备管理
     */
    @Override
    public TwinDeviceAll selectTwinDeviceAllByDeviceId(Long deviceId) {
        return twinDeviceAllMapper.selectTwinDeviceAllByDeviceId(deviceId);
    }

    /**
     * 查询全厂设备管理列表
     *
     * @param twinDeviceAll 全厂设备管理
     * @return 全厂设备管理
     */
    @Override
    public List<TwinDeviceAll> selectTwinDeviceAllList(TwinDeviceAll twinDeviceAll) {
        return twinDeviceAllMapper.selectTwinDeviceAllList(twinDeviceAll);
    }

    /**
     * 新增全厂设备管理
     *
     * @param twinDeviceAll 全厂设备管理
     * @return 结果
     */
    @Override
    public int insertTwinDeviceAll(TwinDeviceAll twinDeviceAll) {
            return twinDeviceAllMapper.insertTwinDeviceAll(twinDeviceAll);
    }

    /**
     * 修改全厂设备管理
     *
     * @param twinDeviceAll 全厂设备管理
     * @return 结果
     */
    @Override
    public int updateTwinDeviceAll(TwinDeviceAll twinDeviceAll) {
        return twinDeviceAllMapper.updateTwinDeviceAll(twinDeviceAll);
    }

    /**
     * 批量删除全厂设备管理
     *
     * @param deviceIds 需要删除的全厂设备管理主键
     * @return 结果
     */
    @Override
    public int deleteTwinDeviceAllByDeviceIds(Long[] deviceIds) {
        return twinDeviceAllMapper.deleteTwinDeviceAllByDeviceIds(deviceIds);
    }

    /**
     * 删除全厂设备管理信息
     *
     * @param deviceId 全厂设备管理主键
     * @return 结果
     */
    @Override
    public int deleteTwinDeviceAllByDeviceId(Long deviceId) {
        return twinDeviceAllMapper.deleteTwinDeviceAllByDeviceId(deviceId);
    }
}
